- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Creates a new Workspace in a given Repository asynchronously.
HTTP request
POST https://dataform.googleapis.com/v1beta1/{parent=projects/*/locations/*/repositories/*}/workspaces:createLongRunning The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The repository in which to create the workspace. Must be in the format Authorization requires the following IAM permission on the specified resource
|
Query parameters
| Parameters | |
|---|---|
workspaceId |
Required. The ID to use for the workspace, which will become the final component of the workspace's resource name. |
Request body
The request body contains an instance of Workspace.
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/bigquery
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the parent resource:
dataform.workspaces.create
For more information, see the IAM documentation.